package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.utils.BaseUtil

/**
 * @Date: 2021/9/9
 * @Description: 司法拍卖
 */
case class auction_tracking(is_inc: Boolean) extends AbstractDailyHandle {

  override protected def get_money(new_map: Map[String, String]): Double = {
    BaseUtil.amt_div(processMoney(new_map("query_price")), "10000")
  }

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    getEntity(new_data.getOrEmptyStr("company_info"), "company_id", "company_name", "22")

  }

}
