package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.utils.BaseUtil
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Date: 2020/8/12 18:50
 * @Description: 购买了新的土地-购地信息
 */
case class company_land_announcement(is_inc: Boolean) extends AbstractDailyHandle {

  override protected def get_money(new_map: Map[String, String]): Double = {
    BaseUtil.amt_div(processMoney(new_map("tran_price")), "1")
  }

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {

    Seq(
      EntityInfo(keyno = new_data.getOrEmptyStr("company_id"), name = new_data.getOrEmptyStr("application_name"), type_id = "12")
    )
  }
}
