package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._
/**
 * @Date: 2020/8/12 18:50
 * @Description: 新增专利信息
 */
case class company_patent(is_inc: Boolean) extends AbstractDailyHandle {

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    getEntity(new_data.getOrEmptyStr("applicant_name_info"), "keyno", "name","15")
  }
}
